/* WGDownloadOptionController.h created by epeyton on Wed 18-Aug-1999 */

#import <AppKit/AppKit.h>
#import "WGOptionController.h"

@interface WGDownloadOptionController : NSObject <WGOptionController>
{
    id 		downloadDepthTextField;
    id 		sleepTimeTextField;
    id 		maxTransferRatePerSecTextField;
    id 		minTransferRatePerSecTextField;
    id 		maxNumberOfDocumentsTextField;
    id 		maxFileSizeTextField;
    id 		maxSessionSizeTextField;
    id		readBufferSizeTextField;

    id 		preservePermissionsCheckBox;
    id 		preserveSymlinksCheckBox;
    id 		preserveModTimeCheckBox;
    
    id 		parentController;
}

- (void)loadFromDictionary:(NSDictionary *)aDict;
- (NSDictionary *)saveDict;
- (NSArray *)optionsForRun;

@end
